Subject: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

From: Vishnu Pavan Beeram <[email-masked]>
Date: Tue, 16 Jun 2020 12:39:17 -0500

All,

This is start of a two week poll on making
draft-dt-teas-rfc3272bis-11 a TEAS working group document.
Please send email to the list indicating "yes/support" or "no/do not
support". If indicating no, please state your reservations with the
document. If yes, please also feel free to provide comments you'd
like to see addressed once the document is a WG document.

The poll ends June 30th.

Thanks,
Pavan

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 16 Jun 2020 21:34:16 +0100

Yes/support

Hopefully it will come as no surprise that I think it is a good idea to adopt this document.

When the Design Team was set up, it was specifically tasked to get a bis into some basic shape ready for adoption, and then to hand over to the working group.

Progress has been slow and there is clearly more work to be done, but I think we now have a structure (including some empty sections) and rationalised text that gives a stable base for the working group. Furthermore, I would hope that, since the working group seemed to agree that the work needed to be done, having the draft adopted might lead to a little more involvement in generating and reviewing text.

If not adopted, I think I would continue with the draft for a while longer, and would hope that the Design Team members would also help.

Best,

Adrian

From: Teas <[email-masked]> On Behalf Of Vishnu Pavan Beeram
Sent: 16 June 2020 18:39
To: TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Loa Andersson <[email-masked]>
Date: Wed, 17 Jun 2020 14:32:40 +0800

+1

/Loa

On 17/06/2020 04:34, Adrian Farrel wrote:
> When the Design Team was set up, it was specifically tasked to get a bis 
> into some basic shape ready for adoption, and then to hand over to the 
> working group.
> 
> Progress has been slow and there is clearly more work to be done, but I 
> think we now have a structure (including some empty sections) and 
> rationalised text that gives a stable base for the working group. 
> Furthermore, I would hope that, since the working group seemed to agree 
> that the work needed to be done, having the draft adopted might lead to 
> a little more involvement in generating and reviewing text.
> 
> If not adopted, I think I would continue with the draft for a while 
> longer, and would hope that the Design Team members would also help.
> 
> Best,
> 
> Adrian
> 
> *From:*Teas <[email-masked]> *On Behalf Of *Vishnu Pavan Beeram
> *Sent:* 16 June 2020 18:39
> *To:* TEAS WG <[email-masked]>
> *Cc:* TEAS WG Chairs <[email-masked]>
> *Subject:* [Teas] WG adoption poll - draft-dt-teas-rfc3272bis
> 
> All,
> 
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          loa.pi.nu@gmail
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 16 Jun 2020 23:44:22 -0700

Yes/support 

Regards,
Jeff

> On Jun 16, 2020, at 13:34, Adrian Farrel <[email-masked]> wrote:
> 
> 
> Yes/support
>

---

From: Zhenghaomian <[email-masked]>
Date: Wed, 17 Jun 2020 06:45:58 +0000

Yes/Support.

Best wishes,
Haomian

发件人: Teas [mailto:[email-masked]] 代表 Vishnu Pavan Beeram
发送时间: 2020年6月17日 1:39
收件人: TEAS WG <[email-masked]>
抄送: TEAS WG Chairs <[email-masked]>
主题: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 17 Jun 2020 14:14:43 +0000

Yes/support.

Cheers,
Daniele

Sent: den 16 juni 2020 19:39

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 18 Jun 2020 02:51:17 +0000

Yes/support.

This is an important work both to TEAS WG and other TE related work in IETF.

Best regards,
Jie

From: Teas [mailto:[email-masked]] On Behalf Of Vishnu Pavan Beeram
Sent: Wednesday, June 17, 2020 1:39 AM
To: TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: "Luis M. Contreras" <[email-masked]>
Date: Thu, 18 Jun 2020 09:12:24 +0200

Hi all,

Yes / support

Best regards

Luis

-- 
___________________________________________
Luis M. Contreras
[email-masked]
[email-masked]
Global CTIO unit / Telefonica

---

From: Tarek Saad <[email-masked]>
Date: Thu, 18 Jun 2020 14:58:17 +0000

Hi all,

Yes, support this.

Regards,
Tarek

From: Teas <[email-masked]> on behalf of Vishnu Pavan Beeram <[email-masked]>
Date: Tuesday, June 16, 2020 at 1:39 PM
To: TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Aihua Guo <[email-masked]>
Date: Thu, 18 Jun 2020 11:09:56 -0400

Yes/support.

Aihua

---

From: Lizhenbin <[email-masked]>
Date: Fri, 19 Jun 2020 03:19:45 +0000

Yes/support.

Best Regards,

Zhenbin (Robin)

--------------------------------------------------
李振斌 Li Zhenbin
Mobile: +86-13651017745<tel:+86-13651017745>/+968-91797068
Email: [email-masked]<mailto:[email-masked]>

发件人：Vishnu Pavan Beeram <[email-masked]>
收件人：TEAS WG <[email-masked]>
抄 送：TEAS WG Chairs <[email-masked]>
时 间：2020-06-17 01:40:07
主 题：[Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Xufeng Liu <[email-masked]>
Date: Sun, 21 Jun 2020 20:18:56 -0400

yes/support.

Thanks,
- Xufeng

---

From: Italo Busi <[email-masked]>
Date: Wed, 24 Jun 2020 10:00:16 +0000

Yes/support

From: Vishnu Pavan Beeram [mailto:[email-masked]]
Sent: martedì 16 giugno 2020 19:39
To: TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Khasanov Boris <[email-masked]>
Date: Mon, 29 Jun 2020 15:10:45 +0000

Hi Pavan and all,
Yes, absolutely support.

SY,
Boris

Sent: Tuesday, June 16, 2020 8:39 PM

All,

The poll ends June 30th.

Thanks,
Pavan

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 30 Jun 2020 20:14:36 +0530

Hi,
Thanks to Adrian & DT for this work!

I wanted to do a substantial review of the I-D but it looks like that
has to wait for a later date :)

I managed to skim through it focusing on the changes and caught
nothing that should impede the adoption of this work.
I would have liked to see a section listing changes since RFC 3272
(but not sure how practical that is).
The diff-tool [1] was somewhat useful.

Two random points -
=
- Query: In section 1.2 -

   The key elements required in any TE solution are:

   1.  Policy
   2.  Path steering
   3.  Resource management

Does that mean any solution that just does 1 and 2 and doesn't do 3 is
not TE? Would SR-Policy and BIER-Tree engineering fall under that?
Note that we have SR-MPLS covered (rightfully so) in Section 4.1.14
under IETF techniques. I am wondering if partial-TE is a thing?
=
- Section 4.1.3, this needs to be updated -

   A number of IETF working groups have been engaged in activities
   related to the RSVP protocol.  These include the original RSVP
   working group, the MPLS working group, the Resource Allocation
   Protocol working group, and the Policy Framework working group.
=

Thanks!
Dhruv

[1] https://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=rfc3272&url2=draft-dt-teas-rfc3272bis-11

---

From: Dieter Beller <[email-masked]>
Date: Tue, 30 Jun 2020 18:40:45 +0200

Hi Pavan, all,

yes/support

Thanks,
Dieter

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 30 Jun 2020 22:02:14 +0100

Hi Dhruv,

Thanks for being interested. We can wait for a review, but don't feel you
have to do it in one pass: it is an enormous document.

I think the "changes since last version" will need to be descriptive text
rather than a section-by-section analysis. I'll add a place holder for it.

Your question on 1.2 is good: and I turn it right back at you! What do you
think?

Your pointer for 4.1.3 is good and will be worked on.

A

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: 30 June 2020 15:45
To: Vishnu Pavan Beeram <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] WG adoption poll - draft-dt-teas-rfc3272bis

Hi,

Two random points -
=

   1.  Policy
   2.  Path steering
   3.  Resource management

Thanks!
Dhruv

[1]
https://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=rfc3272&url2=draft-dt
-teas-rfc3272bis-11

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 1 Jul 2020 11:50:04 +0530

> Your question on 1.2 is good: and I turn it right back at you! What do you

Classic switch-a-roo :)

In the recent discussion around BIER-TE (now called tree engineering,
and earlier during SR-Policy) there was concern around this and I
would guess that new terms were used because they were not "fully" TE.

To keep things consistent, I am happy with what we have in 1.2. But at
the same time, we need to make sure that techniques that only do only
path steering or policy are still doing TE, well partially (and thus I
used the term "partial-TE", there could be a better term for it).
IMHO It would be a good idea to discuss that in this section. Also
looking at section 4.1, many techniques would belong to "partial-TE",
so it would be a good idea to describe that. I think this could help
when other WG takes on related work and question if it is TE or not.

Thanks!
Dhruv